﻿/* INCLUDES WELVIE ALERTS AND WELVIE ALERTS FOR ACP*/

/* SURGERY STYLES
    <div class="welvie_alert info">
        <div class="the_x">&#10006;</div>
        <h1>Info!</h1>
        <p>
            message
        </p>
    </div>

    SINGLE LINE:
            <div class="welvie_alert info">
                <div class="the_x">&#10006;</div>
                <p><b>Note.</b> This is the info style.</p>
            </div>

    LOW-KEY LOWKEY:
            <div class="welvie_alert_lowkey error">
                <p>Please make a selection</p>
            </div>


    <asp:placeholder id="plc_message" runat="server" visible="false">
        <div class="welvie_alert error">
            <div class="the_x">&#10006;</div>
            <p><b>Error.</b> 
                <asp:literal id="lit_error" runat="server"></asp:literal>
            </p>
        </div>
    </asp:placeholder>

    <asp:placeholder id="plc_message" runat="server" visible="false">
        <div class="welvie_alert error">
            <div class="the_x">&#10006;</div>
            <h1>Error</h1>
            <p>
                <asp:literal id="lit_error" runat="server"></asp:literal>
            </p>
        </div>
    </asp:placeholder>
    <asp:placeholder id="plc_success" runat="server" visible="false">
        <div class="welvie_alert success">
            <div class="the_x">&#10006;</div>
            <h1>Success</h1>
            <p>
                <asp:literal id="lit_success" runat="server"></asp:literal>
            </p>
        </div>
    </asp:placeholder>
    <asp:placeholder id="plc_warning" runat="server" visible="false">
        <div class="welvie_alert warning">
            <div class="the_x">&#10006;</div>
            <h1>Warning</h1>
            <p>
                <asp:literal id="lit_warning" runat="server"></asp:literal>
            </p>
        </div>
    </asp:placeholder>
    <asp:placeholder id="plc_info" runat="server" visible="false">
        <div class="welvie_alert info">
            <div class="the_x">&#10006;</div>
            <h1>Warning</h1>
            <p>
                <asp:literal id="lit_info" runat="server"></asp:literal>
            </p>
        </div>
    </asp:placeholder>

*/

.welvie_alert {
    width: 100%;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    border-radius: 4px;
    border: 1px solid black;
    position: relative;
    padding: 0 0 6px 0;
    margin: 0px 0px 6px 0;
    z-index: 0;
}

    .welvie_alert h1 {
        font-family: Arial;
        font-weight: bold;
        font-size: 1.0em;
        margin: 0;
        padding: 13px 40px 0px 40px;
    }

    .welvie_alert p {
        font-family: Arial;
        margin: 0;
        padding: 13px 40px 6px 40px;
        font-size: .9em;
        line-height: 1.2em;
    }

    .welvie_alert ul {
        margin: 0 10px 0 6px;
    }

        .welvie_alert ul li {
            font-family: Arial;
            margin: 0 0 0 10px;
            padding: 0px 0 6px 0px;
            font-size: .9em;
            line-height: 1.2em;
        }

    .welvie_alert.info {
        background: url(/dir_image/public/alert/info.png) 10px 10px no-repeat;
        background-color: #cbebfb;
        border-color: #00a8e4;
        color: #008dc0;
    }

        .welvie_alert.info h1 {
            color: #008dc0;
        }
    .welvie_alert.info_white {
        background: url(/dir_image/public/alert/info.png) 10px 10px no-repeat;
        background-color: #fff;
        border-color: #fff;
        color: black;
    }

        .welvie_alert.info_white h1 {
            color: black;
        }

    .welvie_alert.warning {
        background: url(/dir_image/public/alert/warning.png) 10px 10px no-repeat;
        background-color: #ffefbc;
        border-color: #ffbd00;
        color: #bc892e;
    }

        .welvie_alert.warning h1 {
            color: #333;
        }

    .welvie_alert.error {
        background: url(/dir_image/public/alert/error.png) 10px 10px no-repeat;
        background-color: #f9c8c7;
        border-color: #e85656;
        color: #e85656;
    }

        .welvie_alert.error h1 {
            color: #333;
        }

    .welvie_alert.success {
        background: url(/dir_image/public/alert/success.png) 10px 10px no-repeat;
        background-color: #daf1d6;
        border-color: #0f9c6d;
        color: #0f9c6d;
    }

        .welvie_alert.success h1 {
            color: #333;
        }

    .welvie_alert .the_x {
        position: absolute;
        top: 6px;
        right: 10px;
        font-family: arial;
        font-weight: bold;
        cursor: pointer;
    }

.welvie_alert_lowkey {
    margin-bottom: 12px;
    font-size: 16px;
    position: relative;
}

.welvie_alert_lowkey.error  {
}
    .welvie_alert_lowkey.error p {
        color: red !important;
        margin-left: 26px;
    }
    .welvie_alert_lowkey.error p:before {
        content: "\F05E";
        font-family: FontAwesome;
        left: 0px;
        position: absolute;
        top: 1px;
        font-size: 20px;
    }


/* ACP STYLES - NOTE: SOME ARE NOT IMPLEMENTED YET, SEE "XXX". the_x is controlled by JQ on zGlobalMaster
    <asp:PlaceHolder ID="welvie_alert_acp_success" runat="server" Visible="true">
        <div class="acp_row">
            <div class="section group" >
                <div class="col span_4_of_4" style="margin: 0px; padding: 0px;">
                    <div class="welvie_alert_acp success">
                            <div class="the_x">&#10006;</div>
                            <h1>You've successfully created your Advance Directive.</h1>
                            <p>You can view or edit it below. Click continue to proceed to the next section.</p>
                    </div>
                </div>
            </div>
        </div>
    </asp:PlaceHolder>
*/

.welvie_alert_acp {
    box-sizing: border-box;
    color: white;
    width: 100%;
    /*margin-top: -28px;*/
    position: relative;
    padding: 10px 30px 0px 30px;
    border-radius: 0 0 4px 4px;
}

    .welvie_alert_acp h1 {
        position: relative;
        z-index: 1;
        color: white;
        font-size: 36px;
    }

    .welvie_alert_acp p, .welvie_alert_acpXXX ul li {
        font-family: 'Roboto Slab';
    }

.welvie_alert_acpXXX.info {
    background: url(/dir_image/public/alert/info.png) 10px 10px no-repeat;
    background-color: #cbebfb;
    border-color: #00a8e4;
    color: #008dc0;
}

    .welvie_alert_acpXXX.info h1 {
        color: #008dc0;
    }

.welvie_alert_acpXXX.warning {
    background: url(/dir_image/public/alert/warning.png) 10px 10px no-repeat;
    background-color: #ffefbc;
    border-color: #ffbd00;
    color: #bc892e;
}

    .welvie_alert_acpXXX.warning h1 {
        color: #bc892e;
    }

.welvie_alert_acpXXX.error {
    background: url(/dir_image/public/alert/error.png) 10px 10px no-repeat;
    background-color: #f9c8c7;
    border-color: #e85656;
    color: #e85656;
}

    .welvie_alert_acpXXX.error h1 {
        color: #e85656;
    }

.welvie_alert_acp.success {
    background-color: #00b188;
}

.welvie_alert_acp.info {
    background-color: #b9dee9;
    color: #31788b;
}

    .welvie_alert_acp.info h1, .welvie_alert_acp.info .the_x {
        color: #31788b;
    }

.welvie_alert_acp.warning {
    background-color: #f5c818;
}

.welvie_alert_acp.error {
    background-color: #ee4a56;
}


.welvie_alert_acp .the_x {
    position: absolute;
    top: 10px;
    right: 20px;
    font-family: arial;
    font-weight: bold;
    color: white;
    z-index: 100;
}

    .welvie_alert_acp .the_x:hover {
        cursor: pointer;
    }


    /* ASG styles */

    #asg_wrapper .welvie_alert, .gDocument .welvie_alert {
        border: 0px;
        border-top: 6px solid black;
    }
        #asg_wrapper .welvie_alert.success, .gDocument .welvie_alert.success {
            border-top: 6px solid #0f9c6d;
        }

        #asg_wrapper .welvie_alert.info, .gDocument .welvie_alert.info {
            border-top: 6px solid #00a8e4;
        }

        #asg_wrapper .welvie_alert.warning, .gDocument .welvie_alert.warning {
            border-top: 6px solid #ffbd00;
        }

        #asg_wrapper .welvie_alert.error, .gDocument .welvie_alert.error {
            border-top: 6px solid #e85656;
        }

        #asg_wrapper .welvie_alert.info_white, .gDocument .welvie_alert.info_white {
            border-top: 6px solid #e2426b;
        }

/* used to set form fields from the code-behind when it fails validation */
.validation_error {
  background-color: #ffdbd8;
  border: 1.2px solid #E60073;
  padding: 2px;
}